> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Originator

> Retrieve an Originator.



## OpenAPI

````yaml GET /v0/originators/{originator_id}
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v0/originators/{originator_id}:
    get:
      tags:
        - Originator
      summary: Retrieve an Originator
      description: Retrieve an Originator.
      operationId: retrieve-an-originator
      parameters:
        - name: originator_id
          in: path
          required: true
          example: originator_xyz123
          schema:
            type: string
            pattern: ^originator_\w+$
          description: The ID of the originator to be retrieved.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Originator'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                code: parameters_invalid
                title: Your request parameters did not validate.
                status: '400'
        '403':
          description: Operation Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                code: operation_not_allowed
                title: Operation cannot be done on this object.
                status: '403'
        '404':
          description: Originator ID not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '500':
          description: Server error. Please try your request again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    Originator:
      type: object
      properties:
        id:
          type: string
          description: The ID of the Originator.
          example: originator_xyz123
          pattern: ^originator_\w+$
        account_id:
          $ref: '#/components/schemas/AccountID'
        entity_id:
          $ref: '#/components/schemas/EntityID'
        status:
          $ref: '#/components/schemas/OriginatorStatus'
        company_name:
          type: string
          example: Acme Inc.
          maxLength: 16
        company_id:
          $ref: '#/components/schemas/CompanyId'
        ach:
          $ref: '#/components/schemas/AchOriginatorParameters'
        metadata:
          $ref: '#/components/schemas/Metadata'
        created_at:
          type: string
          format: date-time
          example: '2022-06-27T11:22:33Z'
        updated_at:
          type: string
          format: date-time
          example: '2022-06-27T11:22:33Z'
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    AccountID:
      type: string
      description: The ID of the Account object.
      example: account_xyz123
      pattern: ^account_\w+$
    EntityID:
      type: string
      description: The ID of your entity.
      example: entity_xyz123
      pattern: ^entity_[^\s]{1,33}$
    OriginatorStatus:
      type: string
      description: Originator Status
      example: active
      enum:
        - pending
        - active
        - inactive
        - rejected
        - canceled
        - suspended
    CompanyId:
      type: string
      description: ACH Company Id
      example: 1234567890
      pattern: ^\d{10}$
    AchOriginatorParameters:
      type: object
      description: ACH controls for originators.
      required:
        - limits
        - allowed_sec_codes
      properties:
        allowed_sec_codes:
          type: array
          description: List of allowed SEC codes for ACH transactions.
          items:
            $ref: '#/components/schemas/OutgoingSecCode'
        nested_third_parties:
          type: array
          description: List of nested third-party entity IDs.
          items:
            $ref: '#/components/schemas/EntityID'
          maxItems: 5
        limits:
          $ref: '#/components/schemas/AchOriginatorLimits'
          description: The ACH limits for the originator.
    Metadata:
      type: object
      additionalProperties:
        type: string
      description: >-
        A set of key-value pairs that can be used to store additional
        information related to this object.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
    OutgoingSecCode:
      type: string
      description: |
        The Standard Entry Class, SEC, to code the outgoing ACH.
        Lead currently supports:
        * `CCD`: Corporate payment
        * `PPD`: Written authorization to initiate payment
        * `TEL`: Telephone initiated payment
        * `WEB`: Web initiated payment
        * `CIE`: Customer initiated entry
      example: WEB
      enum:
        - CCD
        - PPD
        - TEL
        - WEB
        - CIE
    AchOriginatorLimits:
      type: object
      required:
        - calendar_day_maximum_amount
        - rolling_30_calendar_day_maximum_amount
      properties:
        calendar_day_maximum_amount:
          $ref: '#/components/schemas/AchCalendarDayMaximumAmount'
          description: Maximum amount per calendar day.
        rolling_30_calendar_day_maximum_amount:
          $ref: '#/components/schemas/AchRolling30CalendarDayMaximumAmount'
          description: Maximum amount per rolling 30 calendar days.
    AchCalendarDayMaximumAmount:
      type: object
      required:
        - credit
        - debit
      properties:
        credit:
          type: integer
          format: int64
          description: Credit limit per transaction in cents.
          minimum: 0
          maximum: 990000000000
        debit:
          type: integer
          format: int64
          description: Debit limit per transaction in cents.
          minimum: 0
          maximum: 990000000000
    AchRolling30CalendarDayMaximumAmount:
      type: object
      required:
        - credit
        - debit
      properties:
        credit:
          type: integer
          format: int64
          description: Credit limit per transaction in cents.
          minimum: 0
          maximum: 990000000000
        debit:
          type: integer
          format: int64
          description: Debit limit per transaction in cents.
          minimum: 0
          maximum: 990000000000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````